Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGDeviceList

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.sg.SGDeviceList

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class SGDeviceList
extends QTHandleRef

SGDeviceList objects contain a list of device name structures.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `getCount()`
`SGDeviceName` | `getDeviceName(int whichOne)` Returns the device name at the specified (0-based) index.
`int` | `getSelectedIndex()`
`java.lang.String` | `toString()` A String representation of the class.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCount

    public int getCount()

  Returns:
    the number of devices that are available to the SGChannel.

### getSelectedIndex

    public int getSelectedIndex()

  Returns:
    the currently selected device of the available devices.

### getDeviceName

    public SGDeviceName getDeviceName(int whichOne)
                               throws StdQTException

  Returns the device name at the specified (0-based) index.
  Parameters:
    `whichOne` - the device of this list to retrieve the name
  Returns:
    the specified Device's name

### toString

    public java.lang.String toString()

  Description copied from class: `QTHandleRef`
  A String representation of the class.
  Overrides:
    `toString` in class `QTHandleRef`
  Returns:
    a String represenation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD